--
-- Gewicht by TTV 630
-- Specialization Gewicht
--
-- @author:  	Fendt208V, SFM-Modding
-- @date:		05/08/11
-- @version:	v1.0
-- 

Gewicht = {};

function Gewicht.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function Gewicht:load(xmlFile)

	self.attacherOptions = {};
	self.attacherOptions.pallet = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.attacherJoint#pallet"));
	self.attacherOptions.scale = 1;
end;
	
	function Gewicht:onAttach()
	setVisibility(self.attacherOptions.pallet, false);
	self.attachingFinished = true;
end;

function Gewicht:onDetach()
	setVisibility(self.attacherOptions.pallet, true);
end;

function Gewicht:draw()
end;

function Gewicht:update(dt)
end;

function Gewicht:keyEvent(unicode,sym,modifier,isDown)
end;

function Gewicht:mouseEvent(posX,posY,isDown,isUp,button)
end;

function Gewicht:delete()
end;
